요청한 페이지 크기입니다. 1~200의 값이어야 합니다. 지정하지 않으면 기본값은 100입니다. 잘못된 값이 지정되면 오류 코드 INVALID_ARGUMENT를 반환합니다.
pageToken
string
서버에서 반환할 결과 페이지를 식별하는 토큰입니다. 일반적으로 이는 targetingOptions.list 메서드에 대한 이전 호출에서 반환된 nextPageToken의 값입니다. 지정하지 않으면 결과의 첫 번째 페이지가 반환됩니다.
orderBy
string
목록을 정렬할 필드입니다. 사용 가능한 값:
targetingOptionId(기본)
기본 정렬 순서는 오름차순입니다. 필드에서 내림차순으로 지정하려면 서픽스 'desc'를 필드 이름에 추가해야 합니다. 예: targetingOptionId desc
filter
string
타겟팅 옵션 필드별로 필터링할 수 있습니다.
지원되는 문법:
필터 표현식은 하나 이상의 제한으로 구성됩니다.
제한사항은 OR 논리 연산자를 사용하여 결합할 수 있습니다.
제한은 {field} {operator} {value} 형식입니다.
모든 필드는 EQUALS (=) 연산자를 사용해야 합니다.
지원되는 필드:
carrierAndIspDetails.type
geoRegionDetails.geoRegionType
targetingOptionId
예:
하위유형 GEO_REGION_TYPE_COUNTRY 또는 GEO_REGION_TYPE_STATE에 속하는 모든 GEO REGION 타겟팅 옵션: geoRegionDetails.geoRegionType="GEO_REGION_TYPE_COUNTRY" OR
geoRegionDetails.geoRegionType="GEO_REGION_TYPE_STATE"
하위유형 CARRIER_AND_ISP_TYPE_CARRIER에 속하는 모든 CARRIER AND ISP 타겟팅 옵션: carrierAndIspDetails.type="CARRIER_AND_ISP_TYPE_CARRIER"
[[["이해하기 쉬움","easyToUnderstand","thumb-up"],["문제가 해결됨","solvedMyProblem","thumb-up"],["기타","otherUp","thumb-up"]],[["필요한 정보가 없음","missingTheInformationINeed","thumb-down"],["너무 복잡함/단계 수가 너무 많음","tooComplicatedTooManySteps","thumb-down"],["오래됨","outOfDate","thumb-down"],["번역 문제","translationIssue","thumb-down"],["샘플/코드 문제","samplesCodeIssue","thumb-down"],["기타","otherDown","thumb-down"]],["최종 업데이트: 2025-07-25(UTC)"],[],["This document details the Display & Video 360 API v4's method for listing targeting options. The core action is making a `GET` request to the specified URL, including the desired `targetingType` in the path. Required query parameters include `advertiserId`. Optional parameters are `pageSize`, `pageToken`, `orderBy`, and `filter`. The response provides a list of `targetingOptions`, and a `nextPageToken` for paginated results. Authorization requires the `https://www.googleapis.com/auth/display-video` scope.\n"]]